
Foreman - Refactor #15333

Move environment field definition to helper
Status: Closed   

Priority: Normal   

Assignee: Shimon Shtein   

Category: Web Interface   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3578

  

Description

If a plugin wants to add some attributes to this field, it cannot do it right now.

Right now Katello overwrites environment in its code, and it caused a problem, since they didn't set all the attributes that were

needed for inheritance to work properly.

For more details see http://projects.theforeman.org/issues/15332

Associated revisions

Revision 41ef1c8b - 06/15/2016 03:34 AM - Shimon Shtein

Fixes #15333 - Moved puppet environment field to helper

History

#1 - 06/08/2016 05:11 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3578 added

#2 - 06/15/2016 04:01 AM - Shimon Shtein

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 41ef1c8b02b5e2c6fbb34b652c0156d58d9b8d8a.

#3 - 06/15/2016 04:29 AM - Dominic Cleal

- Category set to Web Interface

- translation missing: en.field_release set to 160
